summaryrefslogtreecommitdiff
path: root/files
diff options
context:
space:
mode:
Diffstat (limited to 'files')
-rw-r--r--files/openbsd/bin/restart_apache.sh6
-rw-r--r--files/openbsd/bin/restart_apache_ssl.sh6
2 files changed, 12 insertions, 0 deletions
diff --git a/files/openbsd/bin/restart_apache.sh b/files/openbsd/bin/restart_apache.sh
new file mode 100644
index 0000000..e12bd29
--- /dev/null
+++ b/files/openbsd/bin/restart_apache.sh
@@ -0,0 +1,6 @@
+#!/usr/local/bin/bash
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl start 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )
diff --git a/files/openbsd/bin/restart_apache_ssl.sh b/files/openbsd/bin/restart_apache_ssl.sh
new file mode 100644
index 0000000..a54f28f
--- /dev/null
+++ b/files/openbsd/bin/restart_apache_ssl.sh
@@ -0,0 +1,6 @@
+#!/usr/local/bin/bash
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl startssl 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )